<!--
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages).

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages).
-->

# Hadada plugin for Flutter

A plugin that makes accessing your financial data easy. Available for ios and Android

<img src="/assets/hadada.png" alt="hadada example screenshot" style="height: 320px; width:200px;"/>
<!--
## Features
 Hadada provides financial infrastructure for African Fintechs and developers in Africa to access financial data.
TODO: 
-->

## Installation

To use this plugin, add `hadada_sdk ` as a dependency to your `pubspec.yaml`

## Android Setup

Add these permissions to your AndroidManifest.xml

```dart
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="android.permission.READ_SMS" />
    <uses-permission android:name="android.permission.SEND_SMS"/>
    <uses-permission android:name="android.permission.WRITE_CONTACTS" />
    <uses-permission android:name="android.permission.READ_CALL_LOG" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />
```

## Description

The HadadaCoreSDK is a plugin that allows you retrieve financial data from your customers.
Before using this plugin, ensure you have have created an account on the developer <a href="https://portal.hadada.co">portal</a>

HadadaCoreSDK helps you retrieve financial data that allows you understand more about your customers financial profiles.This data has been categorized as

<ol>
<li>
 <b>
 Transaction Statement:</b> Retrieve statments from your customers in real-time for up to a period of 12 months. 
</li>

<li>
 <b>
 Get Balance:</b>  Helps you retrieve real time balances of your customers account
</li>

<li>
 <b>
 Income analysis:</b>  Income analysis: Perform an analysis of your customers income/earnings over a period of time. This can be done asynchronously or snychronously.
</li>

<li>

<b>
Risk analysis:</b>
 Perform an analysis of your customers risk profile e.g. ability to pay their loans and check credit worthiness. This can be done asynchronously or synchronously
</li>
</ol>

## Usage

You can copy the dart code below and use it use. Replace "appkey" with your appkey. Your appkey is generated from <a href="https://portal.hadada.co">Hadada portal.</a> ExternalId is optional. If not provided, the plugin will automatically generate one for you.

```dart
import 'package:flutter/material.dart';
import 'package:hadada_sdk/hadada_sdk.dart';

class HadadaServiceExample extends StatelessWidget {
  const HadadaServiceExample({Key? key}) : super(key: key);
  final String appKey = "appkey";
  final String externalId = "externalId";
  @override
  Widget build(BuildContext context) => HadadaWidget(
        appKey: appKey,
        key: UniqueKey(),
        externalId: externalId,
      );
}

void main() {
  runApp(
    MaterialApp(
      home: const HadadaServiceExample(),
      theme: ThemeData(),
    ),
  );
}

```

## Additional information

If you have any question or concern, you can contact us on <a href="https://hadada.co"> Hadada </a>
